{% extends "base.html" %}

{% block section_title %}Admin panel - Emprunts{% endblock %}
{% block custom_head %} <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='styles/admin_emprunt.css')}}">{% endblock %}

{% block content %}
<div class="cartes-container">
    <div class="zone" id="demandes-emprunt">
        <h3>Demandes d'emprunt</h3>
        {% for l in pending %}
        <div class="carte">
            <div class="carte-header">
                <h3>{{ items[l[2]]['name'] }}</h3>
            </div>
            <div class="carte-content">
                <p style="font-style: italic; color:gray; font-size: smaller;">Emprunt n°{{ l[0]}}</p>
                <p>Emprunteur: {{l[1]}}</p>
                <p>Lieu: {{places[items[l[2]]['place_id']]['name']}}</p>
                <p>Date de début: {{l[3]}}</p>
                <p>Date de fin: {{l[4]}}</p>
                <p>Caution: {% if l[6] == 0 %}Celle du CETEN{% elif l[6] == 1 %}Custom{% else %}WTF?{% endif %}</p>
            </div>
            <div class="carte-buttons">
                <button class="accept-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=accept&loan_id={{l[0]}}`">Accepter</button>
                <button class="reject-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=reject&loan_id={{l[0]}}`">Refuser</button>
                <button class="reject-caution-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=reject&loan_id={{l[0]}}`">Refuser - Demande de caution particulière</button>
            </div>
        </div>
        {% endfor %}
    </div>

    <div class="zone" id="en-cours">
        <h3>Emprunts en cours</h3>

        {% for l in ongoing %}
        <div class="carte">
            <div class="carte-header">
                <h3>{{ items[l[2]]['name'] }}</h3>
            </div>
            <div class="carte-content">
                <p style="font-style: italic; color:gray; font-size: smaller;">Emprunt n°{{ l[0]}}</p>
                <p>Emprunteur: {{l[1]}}</p>
                <p>Lieu: {{places[items[l[2]]['place_id']]['name']}}</p>
                <p>Date de début: {{l[3]}}</p>
                <p>Date de fin: {{l[4]}}</p>
                <p>Caution: {% if l[6] == 0 %}Celle du CETEN{% elif l[6] == 1 %}Custom{% elif l[6] == 2 %}En attente du chèque{% elif l[6] == 3 %}Chèque donné !{% else %}WTF?{% endif %}</p>
            </div>
            <div class="carte-buttons">
                <button class="return-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=return&loan_id={{l[0]}}`">Rendu</button>
                {% if l[6] == 2 %}
                <button class="pending-caution-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=caution_validate&loan_id={{l[0]}}`">Caution donnée</button>
                {% endif %}
            </div>
        </div>
        {% endfor %}
    </div>


    <div class="zone" id="en-retard">
        <h3>Emprunts en retard</h3>
        {% for l in late %}
        <div class="carte">
            <div class="carte-header">
                <h3>{{ items[l[2]]['name'] }}</h3>
            </div>
            <div class="carte-content">
                <p style="font-style: italic; color:gray; font-size: smaller;">Emprunt n°{{ l[0]}}</p>
                <p>Emprunteur: {{l[1]}}</p>
                <p>Lieu: {{places[items[l[2]]['place_id']]['name']}}</p>
                <p>Date de début: {{l[3]}}</p>
                <p>Date de fin: {{l[4]}}</p>
                <p>Caution: {% if l[6] == 0 %}Celle du CETEN{% elif l[6] == 1 %}Custom{% elif l[6] == 2 %}En attente du chèque{% elif l[6] == 3 %}Chèque donné !{% else %}WTF?{% endif %}</p>
            </div>
            <div class="carte-buttons">
                <button class="return-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=return&loan_id={{l[0]}}`">Rendu</button>
                {% if l[6] == 2 %}
                <button class="pending-caution-button" onclick="window.location.href=`{{url_for('admin_panel.emprunts')}}?action=caution_validate&loan_id={{l[0]}}`">Caution donnée</button>
                {% endif %}
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}

